// Start %id%

function getParameterByName(name) {
    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
}

%[if %("%id=event_handler%" == "document_ready")% ]%
$(document).ready(function(){
%[endif]%

%[if %("%id=event_handler%" == "window_load")% ]%
$(window).on("load", function() {
%[endif]%

	// Populate input box, with the paremeter value
	$("#condition%id%Input").val(getParameterByName("%id=parameter%"));
	var val = $("#condition%id%Input").val();

	%[if %("%id=condition%" == "is_equal_to")% ]%
	// If '%id=parameter%' is equal to %id=equal_to_value%
	if (val == '%id=equal_to_value%') {
	%[endif]%

	%[if %("%id=condition%" == "greater_than_less_than")% ]%
	// If '%id=parameter%' is greater than %id=min_value% but less than %id=max_value%
	if (val >= %id=min_value% && val <= %id=max_value%) {
	%[endif]%

	%[if %("%id=action%" == "display")% ]%
	// If a match is found, display the content
	$('#condition%id%').delay(%id=load_delay%).fadeIn(0);
	}
	else {
	// Otherwise hide the content
	$('#condition%id%').fadeOut(0);
	$('#condition%id%').addClass('queryDisplayConditionNotMet');
	}
	%[endif]%

	%[if %("%id=action%" == "hide")% ]%
	// If a match is found, hide the content
	$('#condition%id%').fadeOut(0);
	}
	else {
	// Otherwise display the content
	$('#condition%id%').delay(%id=load_delay%).fadeIn(0);
	$('#condition%id%').removeClass('queryDisplayConditionNotMet');
	}
	%[endif]%
});

// End %id%
